Class | GraphViz::XML
In: | lib/graphviz/xml.rb
Parent: | Object

### Methods

new output

### Public Class methods

new( xFile, *hOpt )

Create a graph from a XML file

In:

- xFile : XML File
- *hOpt : Graph options

### Public Instance methods

output( *hOpt )

Generate the graph

Options :

- :output : Output format (Constants::FORMATS)
- :file : Output file name
- :use : Program to use (Constants::PROGRAMS)
- :path : Program PATH
- :<format> => <file> : <file> can be
  - a file name
  - nil, then the output will be printed to STDOUT
  - String, then the output will be returned as a String
- :errors : DOT error level (default 1)
  - 0 = Error + Warning
  - 1 = Error
  - 2 = none

[Validate]